field_expr_v2_variational_unary< UnaryFunction, Expr >::evaluate_switch< This, Result, Arg, Status >

## Public Member Functions

template<class M >
void | operator() (const This &obj, const geo_basic< float_type, M > &omega_K, const geo_element &K, Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class M >
void | operator() (const This &obj, const geo_basic< float_type, M > &omega_K, const geo_element &K, const side_information_type &sid, Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > &value, bool do_local_component_assembly) const

## Detailed Description

### template<class UnaryFunction, class Expr>
template<class This, class Result, class Arg, class Status>
struct rheolef::details::field_expr_v2_variational_unary< UnaryFunction, Expr >::evaluate_switch< This, Result, Arg, Status >

Definition at line 181 of file field_expr_variational.h.

## Member Function Documentation

## operator()() [1/2]

void operator() | ( | const This & | obj,
|  | const geo_basic< float_type, M > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 183 of file field_expr_variational.h.

## operator()() [2/2]

void operator() | ( | const This & | obj,
|  | const geo_basic< float_type, M > & | omega_K,
|  | const geo_element & | K,
|  | const side_information_type & | sid,
|  | Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > & | value,
|  | bool | do_local_component_assembly
| ) |  | const

Definition at line 192 of file field_expr_variational.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/field_expr_variational.h